commit:     2aae64a96eaa2c1c1375bb0bb534d0fd6e70116a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 15 21:50:22 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Dec 15 21:51:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2aae64a9

dev-lang/dafny-bin: bump to 3.10.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/dafny-bin/Manifest                |  1 +
 dev-lang/dafny-bin/dafny-bin-3.10.0.ebuild | 51 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-lang/dafny-bin/Manifest b/dev-lang/dafny-bin/Manifest
index 2f26ffe919c2..35f211fa3997 100644
--- a/dev-lang/dafny-bin/Manifest
+++ b/dev-lang/dafny-bin/Manifest
@@ -1,3 +1,4 @@
+DIST dafny-3.10.0-x64-ubuntu-16.04.zip 76468200 BLAKE2B 
d3b35260fca709f1808ec47874f5566dd2fc42af9a43354a97b86b8962b1b15c95df10f25fa8f0d6a12c83f5c12569aa981d56b796aeb1fd7563fc59c62d4259
 SHA512 
3f8e669025fd655a7709334876652176b3dce1eb980f1f797cf829fa53b125129a66a175d3a4fcc56aa276e28661c6d795ccc01901d0e457bdac754b29382ca3
 DIST dafny-3.8.1-x64-ubuntu-16.04.zip 76192825 BLAKE2B 
fbfe65f917fb1c04151969e466097ea5703b70fea5c2e04ed6ed756d05c3c46796951d641cca66c30b59d4b70dcee2bef9c7ccac6cd04fe3204b41a08910197c
 SHA512 
ae10f912977827525902317a2215b3066f4271efd2dfdf314859b8c82cfb18ea881bafba5bde0d9f31f3b1429bef252774ca7a495f6661dff7f9f0d5fe042806
 DIST dafny-3.9.0-x64-ubuntu-16.04.zip 76348358 BLAKE2B 
aa217b8583a54f11e23769c214bff182025d7a8669a27f63ef3ee161640f1637d3eebc3e154c44d6cb0dc07060ac0bb3ba38dc7504af04c7a3c04425ee7437df
 SHA512 
e595c80eed0c994a5e2f6cc34b18262f3401d7968e9da32449638591898998a56de70989240e8227ed6c40946205ba20542ac13e4e90cc597de657d81d389060
 DIST dafny-3.9.1-x64-ubuntu-16.04.zip 76356092 BLAKE2B 
7337cbc5b698cec24ffcc3d05cc00403e37a865e422bab36860ca4a1136c3bf4d8dc70647640d0e3f1dc6846a0b72a3edc6a09cef51d7d56ab455dabd006236a
 SHA512 
dbacd0dbeb4e97497faf7f6b6bfedac1ccc9f0e1da129ac1e3b124a0920ac659b6c78237102c5e087d350017c3bb3fd93ac8ca353b1b0e2d13073f35bfc9df7d

diff --git a/dev-lang/dafny-bin/dafny-bin-3.10.0.ebuild 
b/dev-lang/dafny-bin/dafny-bin-3.10.0.ebuild
new file mode 100644
index 000000000000..3571c06eeb55
--- /dev/null
+++ b/dev-lang/dafny-bin/dafny-bin-3.10.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Verification-aware programming language"
+HOMEPAGE="https://dafny.org/";
+SRC_URI="https://github.com/dafny-lang/dafny/releases/download/v${PV}/dafny-${PV}-x64-ubuntu-16.04.zip";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+REQUIRED_USE="elibc_glibc"
+
+RDEPEND="
+       dev-libs/userspace-rcu
+       dev-util/lttng-ust:0/2.12
+       sci-mathematics/z3
+"
+BDEPEND="app-arch/unzip"
+
+S="${WORKDIR}"/dafny
+QA_PREBUILT="*"
+
+src_prepare() {
+       default
+
+       # Remove bundled z3.
+       # NOTICE: New versions do not need the bundled one but older versions
+       # hardcoded the path relative to "dafny" binary.
+       # While bumping make sure to verify that system's "z3" is used
+       # by, for example, compiling/verifying a simple dafny program.
+       rm -r z3 || die
+}
+
+src_install() {
+       local dest=/opt/dafny
+
+       insinto ${dest}
+       # Maybe too general, but this installation mode matched how it arrives.
+       insopts -m0755
+       doins "${S}"/*
+
+       local bin
+       for bin in DafnyServer dafny ; do
+               dosym ../../${dest}/${bin} /usr/bin/${bin}
+       done
+
+       # Make "dafny-server" clients happy.
+       dosym ../../${dest}/DafnyServer /usr/bin/dafny-server
+}

Reply via email to